# Mersenne Twister 32 bit seeding => bx consumption pattern => BIP39


## Example private keys without victim funds

### 128 bit = 12 Word Mnemonic

| PRNG seed id | Mnemonic |
| - | - |
|`0x8ec170a8` = `2395041960` |`local chef load churn future essence type leave program weird ancient owner`|

### 256 bit = 24 Word Mnemonic

| PRNG seed id | Mnemonic |
| - | - |
|`0`|`milk sad wage cup reward umbrella raven visa give list decorate bulb gold raise twenty fly manual stand float super gentle climb fold park`|
|`1`|`helmet worry describe able age zebra neutral load gown kitchen stomach fine galaxy shaft giant head question coyote broccoli scatter parrot session quick check`|
|`4294967294`|`lunar stage lake brick endless quit dignity odor disagree jaguar step scan announce glide slow way response upon divorce wave amazing tonight giggle love`|

## Private keys with deliberately placed funds

Early in our research into the libbitcoin-explorer issues,
we deliberately placed some small amounts of Bitcoin onto known-weak wallets to see if and when they would get detected and stolen.

See https://milksad.info/posts/research-update-3/#canary-wallet-observations for more details.

We are certain that these wallets do not belong to victims, and that any outgoing transfers were thefts.
Aside from their original function, these wallets are also useful for testing.

| PRNG seed id | Mnemonic |
| - | - |
|`500`|`rain observe thumb favorite rib wonder fiber uncle cube wife fetch erosion input conduct shuffle cancel indicate clever income retreat transfer planet portion motion`|
|`4294967295`|`blossom trap goddess narrow hockey tip bachelor business light rural maximum guitar live short paper olympic hello crater own frame moment cousin enemy retire`|

We excluded relevant addresses of these intentionally generated weak wallets from the `victim_*` lists and have a separate `canary_*` list for them.